Page MenuHomePhabricator

"templates" property for ResourceModules in extension.json schema
Closed, ResolvedPublic

Description

As far as I understand the extension.json schema, it is currently not allowed to set templates for ResourceModules entries. I did not test whether my changes to extension.json in https://gerrit.wikimedia.org/r/#/c/227187/ validate, but they do work, so if they don't validate (as I expect), the "templates" property should be added to the schema.

Details

Event Timeline

Schnark created this task.Jul 27 2015, 8:09 AM
Schnark raised the priority of this task from to Needs Triage.
Schnark updated the task description. (Show Details)
Schnark added a subscriber: Schnark.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 8:09 AM
Paladox set Security to None.Aug 2 2015, 6:54 PM
Paladox added a subscriber: Legoktm.

Change 228745 had a related patch set uploaded (by Legoktm):
registration: Document 'templates' property of ResourceModules objects

https://gerrit.wikimedia.org/r/228745

Legoktm claimed this task.Aug 2 2015, 9:21 PM

but they do work, so if they don't validate (as I expect), the "templates" property should be added to the schema.

Yup, the "ResourceModules" are sent directly to ResourceLoader with only a little bit of processing for path names and stuff.

Umherirrender closed this task as Resolved.Aug 3 2015, 6:38 PM

Change 228745 merged by jenkins-bot:
registration: Document 'templates' property of ResourceModules objects

https://gerrit.wikimedia.org/r/228745